﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Controls;

namespace ValidationRule
{
    public class ContentValidationRule : System.Windows.Controls.ValidationRule
    {
        private int min;
        private int max;

        public ContentValidationRule()
        {
        }

        public int Min
        {
            get { return min; }
            set { min = value; }
        }

        public int Max
        {
            get { return max; }
            set { max = value; }
        }

        public override ValidationResult Validate(object value, CultureInfo cultureInfo)
        {
            string content = null;

            try
            {
                if (((string)value).Length > 0)
                    content = (String)value;
            }
            catch (Exception e)
            {
                return new ValidationResult(false, "Illegal characters or " + e.Message);
            }


            if ((content.Length < Min) || (content.Length > Max))
            {
                MessageBox.Show("Invalid content");
                return new ValidationResult(false,
                  "The content must be between" + Min + " and " + Max + "characters long.");
            }
            else
            {
                return new ValidationResult(true, null);
            }

        }
    }
}
